{
	"name": "table/external/4d/manager/order/sales_order_code.json",
	"table_name": "sales_order_code",
	"table_prefix": "soc",
	"table_number": 24,
	"table_name_local": "order_code",
	"record_type_local": "sales",
	"field": [
	{
		"field_number": 8,
		"nullable": true,
		"type": "varchar",
		"length": 24,
		"name": "ar_account_id",
		"foreign_key": {
			"field": "account_id",
			"table": "account"
		}
	},
	{
		"type": "varchar",
		"length": 90,
		"field_number": 22,
		"name": "change_id"
	},
	{
		"type": "double",
		"field_number": 14,
		"name": "commission__unit"
	},
	{
		"type": "double",
		"field_number": 13,
		"name": "commission_percent"
	},
	{
		"type": "varchar",
		"length": 160,
		"field_number": 18,
		"name": "cost_center"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 23,
		"name": "creator_id"
	},
	{
		"type": "varchar",
		"length": 80,
		"field_number": 20,
		"name": "customer_project"
	},
	{
		"field_number": 9,
		"nullable": true,
		"type": "varchar",
		"length": 24,
		"name": "discount_account_id",
		"foreign_key": {
			"field": "account_id",
			"table": "account"
		}
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 6,
		"name": "export_code"
	},
	{
		"type": "integer",
		"field_number": 12,
		"name": "firm_id"
	},
	{
		"type": "varchar",
		"length": 0,
		"field_number": 5,
		"name": "info"
	},
	{
		"type": "double",
		"field_number": 16,
		"name": "marketing_support__unit"
	},
	{
		"type": "double",
		"field_number": 15,
		"name": "marketing_support_percent"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 24,
		"name": "modifier_id"
	},
	{
		"type": "varchar",
		"length": 80,
		"field_number": 2,
		"name": "name"
	},
	{
		"type": "date",
		"field_number": 27,
		"name": "new_code_date"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 26,
		"name": "new_code_id"
	},
	{
		"type": "varchar",
		"length": 80,
		"field_number": 21,
		"name": "project_id"
	},
	{
		"field_number": 17,
		"type": "varchar",
		"length": 90,
		"name": "record_id",
		"constraint": [
			"unique"
		]
	},
	{
		"field_number": 3,
		"nullable": true,
		"type": "varchar",
		"length": 24,
		"name": "sales_account_id",
		"foreign_key": {
			"field": "account_id",
			"table": "account"
		}
	},
	{
		"field_number": 1,
		"type": "varchar",
		"length": 12,
		"name": "sales_order_code_id",
		"constraint": [
			"unique"
		]
	},
	{
		"type": "varchar",
		"length": 24,
		"field_number": 7,
		"name": "target"
	},
	{
		"type": "varchar",
		"length": 24,
		"field_number": 11,
		"name": "target_group"
	},
	{
		"type": "varchar",
		"length": 120,
		"field_number": 19,
		"name": "transfer_id"
	},
	{
		"type": "integer",
		"field_number": 25,
		"name": "transfer_state"
	},
	{
		"type": "varchar",
		"length": 40,
		"field_number": 10,
		"name": "vat_code"
	},
	{
		"type": "double",
		"field_number": 4,
		"name": "vat_percentage"
	}
]
}
